# std::list::swap

From cppreference.com
< cpp‎ | container‎ | list

void swap( list& other ); |  | (until C++17)
void swap( list& other ) noexcept(/* see below */); |  | (since C++17)

Exchanges the contents of the container with those of `other`. Does not invoke any move, copy, or swap operations on individual elements.

All iterators and references remain valid. It is unspecified whether an iterator holding the past-the-end value in this container will refer to this or the other container after the operation.

If std::allocator_traits<allocator_type>::propagate_on_container_swap::value is true, then the allocators are exchanged using an unqualified call to non-member `swap`. Otherwise, they are not swapped (and if get_allocator() != other.get_allocator(), the behavior is undefined). | (since C++11)

### Parameters

other | - | container to exchange the contents with

### Return value

(none)

### Exceptions

(none) | (until C++17)
`noexcept` specification: noexcept(std::allocator_traits<Allocator>::is_always_equal::value) | (since C++17)

### Complexity

Constant.

### See also

std::swap(std::list) | specializes the std::swap algorithm (function template)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/container/list/swap&oldid=50545"
Category:

- conditionally noexcept